%define	name	kmovisto
%define	version	0.7.0
%define	release	%mkrel 6

Summary:	Molecule viewer and 3-D exporter
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
URL:		http://mitglied.lycos.de/PageOfMH
Group:		Sciences/Chemistry
Source0:	%{name}-%{version}.tar.bz2
Patch:		kmovisto-0.7.0-cpp.patch.bz2
BuildRequires:	qt3-devel
BuildRequires:  MesaGLU-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
KMovisto is a free molecule viewer. This program imports GAUSSIAN or XYZ files
and exports POVRay, VRML or XYZ files.

%prep
%setup -q
%patch -p1

%build
export QTDIR=%{_prefix}/lib/qt3
export QTLIB=$QTDIR/%{_lib}
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

# menu
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/
cat << EOF > %buildroot%{_datadir}/applications/mandriva-%{name}.desktop
[Desktop Entry]
Type=Application
Exec=kmovisto
Categories=Science;Chemistry;
Name=KMovisto
Icon=chemistry_section
Comment=QT Molecule Viewer
EOF

%post
%update_menus
		
%postun
%clean_menus

%clean
rm -fr %buildroot

%files
%defattr (-,root,root,0755)
%doc %{_docdir}/%{name}-%{version}
%{_bindir}/%{name}
%{_datadir}/applications/mandriva-%{name}.desktop



%changelog
* Thu Jan 03 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.7.0-6mdv2008.1
+ Revision: 141874
- auto-convert XDG menu entry
- kill re-definition of %%buildroot on Pixel's request
- import kmovisto

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Sat Jan  7 2006 Anssi Hannula <anssi@mandriva.org> 0.7.0-6mdk
- fix x86_64 build

* Mon Dec 26 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.7.0-5mdk
- Remove redundant Buildrequires

* Fri Oct 28 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.7.0-4mdk
- Fix conflict

* Tue Aug 24 2004 Austin Acton <austin@mandrake.org> 0.7.0-3mdk
- new menu

* Tue Jun 8 2004 Austin Acton <austin@mandrake.org> 0.7.0-2mdk
- configure 2.5
- patch for new gcc
- new menu location

* Sat Dec 27 2003 Austin Acton <austin@linux.ca> 0.7.0-1mdk
- 0.7.0

* Thu Dec 18 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.6.1-1mdk
- 0.6.1
- spec cosmetics
- lib64 fixes
- rm -rf $RPM_BUILD_ROOT at the beginning of %%install

* Mon Oct 27 2003 Austin Acton <aacton@yorku.ca> 0.6.0-1mdk
- 0.6.0

* Fri Apr 25 2003 Austin Acton <aacton@yorku.ca> 0.5.1-2mdk
- buildrequires zlib-devel, libpng-devel, libjpeg-devel

* Wed Apr 2 2003 Austin Acton <aacton@yorku.ca> 0.5.1-1mdk
- remove many patches (merged upstream)
- 0.5.1

* Sun Mar 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.4.0-4mdk
- Rebuild

* Sun Feb 02 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.4.0-3mdk
- rebuild

* Thu Jan 16 2003 Austin Acton <aacton@yorku.ca> 0.4.0-2mdk
- fix menu macros
- fix license

* Thu Jan 16 2003 Austin Acton <aacton@yorku.ca> 0.4.0-1mdk
- 0.4.0
- patch patch patch

* Sat Nov 23 2002 Austin Acton <aacton@yorku.ca> 0.3.1-1mdk
- initial package for Mandrake 9
